export function AnalyticsSQLListener(): this;
export class AnalyticsSQLListener {
    constructor: typeof AnalyticsSQLListener;
    enterSingleStatement(ctx: any): void;
    exitSingleStatement(ctx: any): void;
    enterSingleSQLStatement(ctx: any): void;
    exitSingleSQLStatement(ctx: any): void;
    enterCreateWandTable(ctx: any): void;
    exitCreateWandTable(ctx: any): void;
    enterCreateWandTableHeader(ctx: any): void;
    exitCreateWandTableHeader(ctx: any): void;
    enterCommentSpec(ctx: any): void;
    exitCommentSpec(ctx: any): void;
    enterQuery(ctx: any): void;
    exitQuery(ctx: any): void;
    enterKeyWordSepc(ctx: any): void;
    exitKeyWordSepc(ctx: any): void;
    enterAsQuery(ctx: any): void;
    exitAsQuery(ctx: any): void;
    enterMultipartAsQuery(ctx: any): void;
    exitMultipartAsQuery(ctx: any): void;
    enterMultipartAsQueryList(ctx: any): void;
    exitMultipartAsQueryList(ctx: any): void;
    enterQueryOrganization(ctx: any): void;
    exitQueryOrganization(ctx: any): void;
    enterQueryTermDefault(ctx: any): void;
    exitQueryTermDefault(ctx: any): void;
    enterSetOperation(ctx: any): void;
    exitSetOperation(ctx: any): void;
    enterQueryPrimaryDefault(ctx: any): void;
    exitQueryPrimaryDefault(ctx: any): void;
    enterSubquery(ctx: any): void;
    exitSubquery(ctx: any): void;
    enterSortItem(ctx: any): void;
    exitSortItem(ctx: any): void;
    enterFromStatement(ctx: any): void;
    exitFromStatement(ctx: any): void;
    enterFromStatementBody(ctx: any): void;
    exitFromStatementBody(ctx: any): void;
    enterRegularQuerySpecification(ctx: any): void;
    exitRegularQuerySpecification(ctx: any): void;
    enterSelectClause(ctx: any): void;
    exitSelectClause(ctx: any): void;
    enterWhereClause(ctx: any): void;
    exitWhereClause(ctx: any): void;
    enterHavingClause(ctx: any): void;
    exitHavingClause(ctx: any): void;
    enterHint(ctx: any): void;
    exitHint(ctx: any): void;
    enterHintStatement(ctx: any): void;
    exitHintStatement(ctx: any): void;
    enterFromClause(ctx: any): void;
    exitFromClause(ctx: any): void;
    enterAggregationClause(ctx: any): void;
    exitAggregationClause(ctx: any): void;
    enterGroupingSet(ctx: any): void;
    exitGroupingSet(ctx: any): void;
    enterPivotClause(ctx: any): void;
    exitPivotClause(ctx: any): void;
    enterPivotColumn(ctx: any): void;
    exitPivotColumn(ctx: any): void;
    enterPivotValue(ctx: any): void;
    exitPivotValue(ctx: any): void;
    enterLateralView(ctx: any): void;
    exitLateralView(ctx: any): void;
    enterSetQuantifier(ctx: any): void;
    exitSetQuantifier(ctx: any): void;
    enterRelation(ctx: any): void;
    exitRelation(ctx: any): void;
    enterJoinRelation(ctx: any): void;
    exitJoinRelation(ctx: any): void;
    enterJoinType(ctx: any): void;
    exitJoinType(ctx: any): void;
    enterJoinCriteria(ctx: any): void;
    exitJoinCriteria(ctx: any): void;
    enterSample(ctx: any): void;
    exitSample(ctx: any): void;
    enterSampleByPercentile(ctx: any): void;
    exitSampleByPercentile(ctx: any): void;
    enterSampleByRows(ctx: any): void;
    exitSampleByRows(ctx: any): void;
    enterSampleByBucket(ctx: any): void;
    exitSampleByBucket(ctx: any): void;
    enterSampleByBytes(ctx: any): void;
    exitSampleByBytes(ctx: any): void;
    enterIdentifierList(ctx: any): void;
    exitIdentifierList(ctx: any): void;
    enterIdentifierSeq(ctx: any): void;
    exitIdentifierSeq(ctx: any): void;
    enterTableName(ctx: any): void;
    exitTableName(ctx: any): void;
    enterAliasedQuery(ctx: any): void;
    exitAliasedQuery(ctx: any): void;
    enterAliasedRelation(ctx: any): void;
    exitAliasedRelation(ctx: any): void;
    enterInlineTableDefault2(ctx: any): void;
    exitInlineTableDefault2(ctx: any): void;
    enterTableValuedFunction(ctx: any): void;
    exitTableValuedFunction(ctx: any): void;
    enterInlineTable(ctx: any): void;
    exitInlineTable(ctx: any): void;
    enterFunctionTable(ctx: any): void;
    exitFunctionTable(ctx: any): void;
    enterTableAlias(ctx: any): void;
    exitTableAlias(ctx: any): void;
    enterMultipartIdentifier(ctx: any): void;
    exitMultipartIdentifier(ctx: any): void;
    enterNamedExpression(ctx: any): void;
    exitNamedExpression(ctx: any): void;
    enterNamedExpressionSeq(ctx: any): void;
    exitNamedExpressionSeq(ctx: any): void;
    enterExpression(ctx: any): void;
    exitExpression(ctx: any): void;
    enterLogicalNot(ctx: any): void;
    exitLogicalNot(ctx: any): void;
    enterPredicated(ctx: any): void;
    exitPredicated(ctx: any): void;
    enterExists(ctx: any): void;
    exitExists(ctx: any): void;
    enterLogicalBinary(ctx: any): void;
    exitLogicalBinary(ctx: any): void;
    enterPredicate(ctx: any): void;
    exitPredicate(ctx: any): void;
    enterValueExpressionDefault(ctx: any): void;
    exitValueExpressionDefault(ctx: any): void;
    enterComparison(ctx: any): void;
    exitComparison(ctx: any): void;
    enterArithmeticBinary(ctx: any): void;
    exitArithmeticBinary(ctx: any): void;
    enterArithmeticUnary(ctx: any): void;
    exitArithmeticUnary(ctx: any): void;
    enterStruct(ctx: any): void;
    exitStruct(ctx: any): void;
    enterDereference(ctx: any): void;
    exitDereference(ctx: any): void;
    enterSimpleCase(ctx: any): void;
    exitSimpleCase(ctx: any): void;
    enterColumnReference(ctx: any): void;
    exitColumnReference(ctx: any): void;
    enterRowConstructor(ctx: any): void;
    exitRowConstructor(ctx: any): void;
    enterLast(ctx: any): void;
    exitLast(ctx: any): void;
    enterStar(ctx: any): void;
    exitStar(ctx: any): void;
    enterOverlay(ctx: any): void;
    exitOverlay(ctx: any): void;
    enterSubscript(ctx: any): void;
    exitSubscript(ctx: any): void;
    enterSubqueryExpression(ctx: any): void;
    exitSubqueryExpression(ctx: any): void;
    enterSubstring(ctx: any): void;
    exitSubstring(ctx: any): void;
    enterCurrentDatetime(ctx: any): void;
    exitCurrentDatetime(ctx: any): void;
    enterCast(ctx: any): void;
    exitCast(ctx: any): void;
    enterConstantDefault(ctx: any): void;
    exitConstantDefault(ctx: any): void;
    enterLambda(ctx: any): void;
    exitLambda(ctx: any): void;
    enterParenthesizedExpression(ctx: any): void;
    exitParenthesizedExpression(ctx: any): void;
    enterExtract(ctx: any): void;
    exitExtract(ctx: any): void;
    enterTrim(ctx: any): void;
    exitTrim(ctx: any): void;
    enterFunctionCall(ctx: any): void;
    exitFunctionCall(ctx: any): void;
    enterSearchedCase(ctx: any): void;
    exitSearchedCase(ctx: any): void;
    enterPosition(ctx: any): void;
    exitPosition(ctx: any): void;
    enterFirst(ctx: any): void;
    exitFirst(ctx: any): void;
    enterNullLiteral(ctx: any): void;
    exitNullLiteral(ctx: any): void;
    enterIntervalLiteral(ctx: any): void;
    exitIntervalLiteral(ctx: any): void;
    enterTypeConstructor(ctx: any): void;
    exitTypeConstructor(ctx: any): void;
    enterNumericLiteral(ctx: any): void;
    exitNumericLiteral(ctx: any): void;
    enterBooleanLiteral(ctx: any): void;
    exitBooleanLiteral(ctx: any): void;
    enterStringLiteral(ctx: any): void;
    exitStringLiteral(ctx: any): void;
    enterComparisonOperator(ctx: any): void;
    exitComparisonOperator(ctx: any): void;
    enterBooleanValue(ctx: any): void;
    exitBooleanValue(ctx: any): void;
    enterInterval(ctx: any): void;
    exitInterval(ctx: any): void;
    enterErrorCapturingMultiUnitsInterval(ctx: any): void;
    exitErrorCapturingMultiUnitsInterval(ctx: any): void;
    enterMultiUnitsInterval(ctx: any): void;
    exitMultiUnitsInterval(ctx: any): void;
    enterErrorCapturingUnitToUnitInterval(ctx: any): void;
    exitErrorCapturingUnitToUnitInterval(ctx: any): void;
    enterUnitToUnitInterval(ctx: any): void;
    exitUnitToUnitInterval(ctx: any): void;
    enterIntervalValue(ctx: any): void;
    exitIntervalValue(ctx: any): void;
    enterIntervalUnit(ctx: any): void;
    exitIntervalUnit(ctx: any): void;
    enterComplexDataType(ctx: any): void;
    exitComplexDataType(ctx: any): void;
    enterPrimitiveDataType(ctx: any): void;
    exitPrimitiveDataType(ctx: any): void;
    enterComplexColTypeList(ctx: any): void;
    exitComplexColTypeList(ctx: any): void;
    enterComplexColType(ctx: any): void;
    exitComplexColType(ctx: any): void;
    enterWhenClause(ctx: any): void;
    exitWhenClause(ctx: any): void;
    enterWindowClause(ctx: any): void;
    exitWindowClause(ctx: any): void;
    enterNamedWindow(ctx: any): void;
    exitNamedWindow(ctx: any): void;
    enterWindowRef(ctx: any): void;
    exitWindowRef(ctx: any): void;
    enterWindowDef(ctx: any): void;
    exitWindowDef(ctx: any): void;
    enterWindowFrame(ctx: any): void;
    exitWindowFrame(ctx: any): void;
    enterFrameBound(ctx: any): void;
    exitFrameBound(ctx: any): void;
    enterFunctionName(ctx: any): void;
    exitFunctionName(ctx: any): void;
    enterQualifiedName(ctx: any): void;
    exitQualifiedName(ctx: any): void;
    enterErrorCapturingIdentifier(ctx: any): void;
    exitErrorCapturingIdentifier(ctx: any): void;
    enterErrorIdent(ctx: any): void;
    exitErrorIdent(ctx: any): void;
    enterRealIdent(ctx: any): void;
    exitRealIdent(ctx: any): void;
    enterIdentifier(ctx: any): void;
    exitIdentifier(ctx: any): void;
    enterUnquotedIdentifier(ctx: any): void;
    exitUnquotedIdentifier(ctx: any): void;
    enterQuotedIdentifierAlternative(ctx: any): void;
    exitQuotedIdentifierAlternative(ctx: any): void;
    enterQuotedIdentifier(ctx: any): void;
    exitQuotedIdentifier(ctx: any): void;
    enterExponentLiteral(ctx: any): void;
    exitExponentLiteral(ctx: any): void;
    enterDecimalLiteral(ctx: any): void;
    exitDecimalLiteral(ctx: any): void;
    enterLegacyDecimalLiteral(ctx: any): void;
    exitLegacyDecimalLiteral(ctx: any): void;
    enterIntegerLiteral(ctx: any): void;
    exitIntegerLiteral(ctx: any): void;
    enterBigIntLiteral(ctx: any): void;
    exitBigIntLiteral(ctx: any): void;
    enterSmallIntLiteral(ctx: any): void;
    exitSmallIntLiteral(ctx: any): void;
    enterTinyIntLiteral(ctx: any): void;
    exitTinyIntLiteral(ctx: any): void;
    enterDoubleLiteral(ctx: any): void;
    exitDoubleLiteral(ctx: any): void;
    enterBigDecimalLiteral(ctx: any): void;
    exitBigDecimalLiteral(ctx: any): void;
    enterAnsiNonReserved(ctx: any): void;
    exitAnsiNonReserved(ctx: any): void;
    enterStrictNonReserved(ctx: any): void;
    exitStrictNonReserved(ctx: any): void;
    enterNonReserved(ctx: any): void;
    exitNonReserved(ctx: any): void;
}
